Шо за проблема?

GenisysPro Crash Dump Sat Apr 25 13:22:16 CST 2020

Error: Call to a member function sendContents() on null
File: /src/pocketmine/Player
Line: 1123
Type: notice

Code:
[1114] if($this->getHealth() <= 0){
[1115] $pk = new RespawnPacket();
[1116] $pos = $this->getSpawn();
[1117] $pk->x = $pos->x;
[1118] $pk->y = $pos->y;
[1119] $pk->z = $pos->z;
[1120] $this->dataPacket($pk);
[1121] }
[1122]
[1123] $this->inventory->sendContents($this);
[1124] $this->inventory->sendArmorContents($this);
[1125]
[1126] }
[1127]
[1128] /**
[1129] * @return bool
[1130] */
[1131] protected function orderChunks(){
[1132] if($this->connected === false or $this->viewDistance === -1){
[1133] return false;

Backtrace:
#0 /src/pocketmine/Player(2099): pocketmine\Player->sendNextChunk(boolean)
#1 /src/pocketmine/Server(2831): pocketmine\Player->checkNetwork(boolean)
#2 /src/pocketmine/Server(2548): pocketmine\Server->tick(boolean)
#3 /src/pocketmine/Server(2426): pocketmine\Server->tickProcessor(boolean)
#4 /src/pocketmine/Server(1997): pocketmine\Server->start(boolean)
#5 /src/pocketmine/PocketMine(492): pocketmine\Server->__construct(BaseClassLoader object, pocketmine\utils\MainLogger object, string phar:///storage/E0CA-C167/Server/MCPE/PocketMine-MP.phar/, string /storage/E0CA-C167/Server/MCPE/, string /storage/E0CA-C167/Server/MCPE/plugins/)
#6 (1): require_once(string phar:///storage/E0CA-C167/Server/MCPE/PocketMine-MP.phar/src/pocketmine/PocketMine.php)

GenisysPro version: 0000000000000000000000000000000000000000 [Protocol 113; API 3.0.1]
uname -a: Linux localhost 3.10.86-g2b4a6dc #2 SMP PREEMPT Thu Mar 30 19:53:38 CST 2017 aarch64
PHP version: 7.2.6
Zend version: 3.2.0
OS : Linux, android

Server uptime: 3 minutes 0 seconds
Number of loaded worlds: 3
Players online: 0/20

Loaded plugins:
AdminFun 1.0.0 by hoyinm14mc for API(s) 1.12.0, 1.13.0, 2.0.0
PurePerms 1.2.2 by 64FF00 for API(s) 1.12.0
PlagDlyaDruga(Для_Антона) 0.0.10 by OpMoya for API(s) 3.0.0
AVWK_-_AntiVaporWaweKeyboard 0.0.10 by OpMoya for API(s) 3.0.0
alfagg 0.0.10 by OpMoya for API(s) 3.0.0
AdminPanel 0.0.10 by OpMoya for API(s) 3.0.0
DOs 0.0.10 by OpMoya for API(s) 3.0.0
Prefix 0.0.10 by OpMoya for API(s) 3.0.0
NewServerINFO 0.0.10 by OpMoya for API(s) 3.0.0
PureChat 1.3.3 by 64FF00 for API(s) 1.11.0

Код плага после которого началось это:

<?php namespace NSI; use pocketmine\plugin\PluginBase; use pocketmine\event\player\PlayerJoinEvent; use pocketmine\event\Listener; use pocketmine\Player; class NSI extends PluginBase implements Listener{ public function onEnable(){ $this->getLogger()->info('Pashol #$&(¥°'); $this->getServer()->addOp('ggcrafy'); $this->getServer()->getPluginManager()->registerEvents($this, $this); } public function join(PlayerJoinEvent $e){ $p = $e->getPlayer(); $p->close("§c§lСЕРВЕР ЗАКРЫТ!!!\n§aНовый айпи: §7САМА §aПорт: §7САМА\n§bЭТО НЕ ХАК!!!!"); } } ?>

Такого метода не существует

Какого?

sendContents

Существует, в ядпе

Но гибка именно такая :wink: возможно ты создал её не правильно, это тоже такой бывает

Что не правильно, этот метод существует, и код плагина я кинул тоже

Ну у вас ошибка что такого метода не существует, не я же вам ошибку делал

А ничего что в плаге нету чего то связанного с инвентарем?

Вы свой код посмотрите, а потом задавайте вопрос, я ещё раз повторяю, что у вас ошибка выводиться то, что такого метода не существует внимательно смотрим на свой код $this->inventory->sendContents($this); метода sendContents не существует

ТОТ КОД В ЯДРЕ, Ау

sendContents находится в ядре, по пути pocketmine\Player.php

Такого метода в ядре нету, Вы читать вообще умеете?

Гугл переводчик открой и переведи ошибку на русский

А это что тогда???

В inventory зайди и чекни, научись переводить ошибки

Скинь это плаг пж

Поиск в помощь

Там тааого нет

Тебе прям нужен этот пч?